com.google.gwt.user.client.ui

## Class InlineHTML

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.LabelBase<java.lang.String>
      - - com.google.gwt.user.client.ui.Label
        - - com.google.gwt.user.client.ui.HTML
          - - com.google.gwt.user.client.ui.InlineHTML

All Implemented Interfaces:
  IsEditor<LeafValueEditor<java.lang.String>>, HasAllDragAndDropHandlers, HasAllGestureHandlers, HasAllMouseHandlers, HasAllTouchHandlers, HasClickHandlers, HasDoubleClickHandlers, HasDragEndHandlers, HasDragEnterHandlers, HasDragHandlers, HasDragLeaveHandlers, HasDragOverHandlers, HasDragStartHandlers, HasDropHandlers, HasGestureChangeHandlers, HasGestureEndHandlers, HasGestureStartHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasTouchCancelHandlers, HasTouchEndHandlers, HasTouchMoveHandlers, HasTouchStartHandlers, HasAttachHandlers, HasHandlers, HasDirection, HasDirectionEstimator, HasSafeHtml, EventListener, HasAutoHorizontalAlignment, HasDirectionalHtml, HasDirectionalSafeHtml, HasDirectionalText, HasHorizontalAlignment, HasHTML, HasText, HasVisibility, HasWordWrap, IsWidget, SourcesClickEvents, SourcesMouseEvents

    public class InlineHTML
    extends HTML

A widget that can contain arbitrary HTML. This widget uses a <span> element, causing it to be displayed with inline layout.

If you only need a simple label (text, but not HTML), then the `Label` widget is more appropriate, as it disallows the use of HTML, which can lead to potential security issues if not used properly.

### Built-in Bidi Text Support

This widget is capable of automatically adjusting its direction according to its content. This feature is controlled by `LabelBase.setDirectionEstimator(boolean)` or passing a DirectionEstimator parameter to the constructor, and is off by default.

### CSS Style Rules

- .gwt-InlineHTML { }

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.HasDirection

`HasDirection.Direction`

### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment

`HasHorizontalAlignment.AutoHorizontalAlignmentConstant, HasHorizontalAlignment.HorizontalAlignmentConstant`

### Field Summary

### Fields inherited from class com.google.gwt.user.client.ui.Label

`DEFAULT_DIRECTION_ESTIMATOR`

### Fields inherited from class com.google.gwt.user.client.ui.LabelBase

`directionalTextHelper`

### Fields inherited from class com.google.gwt.user.client.ui.Widget

`eventsToSink`

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

### Fields inherited from interface com.google.gwt.user.client.ui.HasAutoHorizontalAlignment

`ALIGN_CONTENT_END, ALIGN_CONTENT_START`

### Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment

`ALIGN_CENTER, ALIGN_DEFAULT, ALIGN_JUSTIFY, ALIGN_LEFT, ALIGN_LOCALE_END, ALIGN_LOCALE_START, ALIGN_RIGHT`

### Constructor Summary

Constructors
`` `InlineHTML()` Creates an empty HTML widget.
`protected` `InlineHTML(Element element)` This constructor may be used by subclasses to explicitly use an existing element.
`` `InlineHTML(SafeHtml html)` Initializes the widget's HTML from a given `SafeHtml` object.
`` `InlineHTML(SafeHtml html, DirectionEstimator directionEstimator)` Creates an HTML widget with the specified HTML contents and with a default direction estimator.
`` `InlineHTML(SafeHtml html, HasDirection.Direction dir)` Creates an HTML widget with the specified contents and with the specified direction.
`` `InlineHTML(java.lang.String html)` Creates an HTML widget with the specified HTML contents.
`` `InlineHTML(java.lang.String html, HasDirection.Direction dir)` Creates an HTML widget with the specified HTML contents and with the specified direction.

### Method Summary

All Methods Static Methods Concrete Methods
`static InlineHTML` `wrap(Element element)` Creates an InlineHTML widget that wraps an existing <div> or <span> element.

### Methods inherited from class com.google.gwt.user.client.ui.HTML

`getHTML, getTextOrHtml, setHTML, setHTML, setHTML, setHTML`

### Methods inherited from class com.google.gwt.user.client.ui.Label

`addClickHandler, addClickListener, addDoubleClickHandler, addDragEndHandler, addDragEnterHandler, addDragHandler, addDragLeaveHandler, addDragOverHandler, addDragStartHandler, addDropHandler, addGestureChangeHandler, addGestureEndHandler, addGestureStartHandler, addMouseDownHandler, addMouseListener, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseUpHandler, addMouseWheelHandler, addMouseWheelListener, addTouchCancelHandler, addTouchEndHandler, addTouchMoveHandler, addTouchStartHandler, asEditor, getDirection, getText, getTextDirection, removeClickListener, removeMouseListener, removeMouseWheelListener, setDirection, setText, setText`

### Methods inherited from class com.google.gwt.user.client.ui.LabelBase

`getAutoHorizontalAlignment, getDirectionEstimator, getHorizontalAlignment, getWordWrap, setAutoHorizontalAlignment, setDirectionEstimator, setDirectionEstimator, setHorizontalAlignment, setWordWrap, updateHorizontalAlignment`

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.gwt.user.client.ui.HasDirectionalText

`getTextDirection, setText`

### Methods inherited from interface com.google.gwt.user.client.ui.HasText

`getText, setText`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Constructor Detail

#### InlineHTML

    public InlineHTML()

Creates an empty HTML widget.

#### InlineHTML

    public InlineHTML(SafeHtml html)

Initializes the widget's HTML from a given `SafeHtml` object.

Parameters:
  `html` - the new widget's HTML contents

#### InlineHTML

    public InlineHTML(SafeHtml html,
                      HasDirection.Direction dir)

Creates an HTML widget with the specified contents and with the specified direction.

Parameters:
  `html` - the new widget's SafeHtml contents
  `dir` - the content's direction. Note: `Direction.DEFAULT` means direction should be inherited from the widget's parent element.

#### InlineHTML

    public InlineHTML(SafeHtml html,
                      DirectionEstimator directionEstimator)

Creates an HTML widget with the specified HTML contents and with a default direction estimator.

Parameters:
  `html` - the new widget's SafeHtml contents
  `directionEstimator` - A DirectionEstimator object used for automatic direction adjustment. For convenience, `Label.DEFAULT_DIRECTION_ESTIMATOR` can be used.

#### InlineHTML

    public InlineHTML(java.lang.String html)

Creates an HTML widget with the specified HTML contents.

Parameters:
  `html` - the new widget's HTML contents

#### InlineHTML

    public InlineHTML(java.lang.String html,
                      HasDirection.Direction dir)

Creates an HTML widget with the specified HTML contents and with the specified direction.

Parameters:
  `html` - the new widget's HTML contents
  `dir` - the content's direction. Note: `Direction.DEFAULT` means direction should be inherited from the widget's parent element.

#### InlineHTML

    protected InlineHTML(Element element)

This constructor may be used by subclasses to explicitly use an existing element. This element must be either a <div> <span> element.

Parameters:
  `element` - the element to be used

### Method Detail

#### wrap

    public static InlineHTML wrap(Element element)

Creates an InlineHTML widget that wraps an existing <div> or <span> element. This element must already be attached to the document. If the element is removed from the document, you must call `RootPanel.detachNow(Widget)`.

Parameters:
  `element` - the element to be wrapped